Subject: "B" synchronous

From: Michael John Haertel <[email-masked]>
Date: Mon, 12 Apr 1993 20:53:37 -0400

Several people have observed that my simple solution does not work for
people who compulsively write out their changes.

It all boils down to what you want to do with synchronous "B".
If it's just quick and dirty mail replies, I think my
solution is fine.

If you want to call the sam for long haul jobs there are are
some other problems with "B", as Byron observed.  My usage
pattern under Plan 9 is, in fact, precisely what he suggests:
I start a new sam up in whatever window I happen to be
working in, and so it just naturally gets the correct current
directory.

The X design, where each program you start creates a new window,
gets in the way of this style.  I don't know a good solution.
It might be possible to write a hack that figures out the geometry
of your current window and passes it as an argument to sam...